# 販売請求書の明細行
class SiDetail < ActiveRecord::Base
  belongs_to :sales_invoice
  belongs_to :account_title
  belongs_to :division

  VAT_NAMES = {10 => '税込5%', 20 => '税抜5%', 30 => '非課税', 40 => '―'}
  
  def self.vat_ary
    a = VAT_NAMES.to_a.sort {|x, y| x[0] <=> y[0]}
    a.collect {|k, v| [v, k]}
  end
end
